<?php
// +---------------------------------------------------------------------------+
// |                         PHP::XTPL  Template Engine                        |
// +---------------------------------------------------------------------------+
// |     Smarty? Who says Smarty? XTPL is much easier in use than Smarty!      |
// +---------------------------------------------------------------------------+
// |  Written by Vladimir Sibirov a.k.a. Trustmaster.                          |
// |  e-mail: trustware@bk.ru                                                  |
// |  Sorry, no web links here.                                                |
// +---------------------------------------------------------------------------+

/**
* Extension loader
*
* @return bool
* @param string $directory
*/
function XTPL_load_extensions($directory)
{
        if(strstr(__FILE__, '\\')) $pfx = '\\';
        elseif(strstr(__FILE__, '/')) $pfx = '/';
        $directory = dirname(__FILE__).$pfx.$directory;
        if(!file_exists($directory)) return false;
        $dp = opendir($directory);
        while($filename = readdir($dp))
        {
                // Loading PHP files in it
                if(substr($filename, strlen($filename) - 4, 4) == '.php')
                include_once($directory.$pfx.$filename);
        }
        closedir($dp);
        return true;
}

// Loding core classes
XTPL_load_extensions('core');

// Loading extension classes
XTPL_load_extensions('classes');

// Loading extension functions
XTPL_load_extensions('functions');
?>