<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

$tut_no = 4; // Tutorial number :)

// This example is the most difficult and it demostrates you how easy
// XTPL integrates with PHP. This time we will output the table of
// the club of pet owners. The array will be parsed using {for}{/for}
// sequence and the structure will be even more difficult.
// Even nesting of {for} sequences and modifiers are used.
// In the sequence {for expression} expression must be valid PHP for expression,
// such as: (($a + b) < $c) && ($c > 40).

// Creating array of pet owners (usually the data is taken from the DB, but
// in this example we'll create the array ourselves).
$petowners = Array();
$petowners[0]['name'] = 'Jack';
$petowners[0]['email'] = 'jack@yahoo.com';
$pets = Array();
$pets[0]['name'] = 'Lisa';
$pets[0]['kind'] = 'cat';
$pets[1]['name'] = 'Maggie';
$pets[1]['kind'] = 'fish';
$petowners[0]['pets'] = $pets;
$petowners[1]['name'] = 'Ann';
$petowners[1]['email'] = 'annie@hotmail.com';
$pets = Array();
$pets[0]['name'] = 'Fuzzy';
$pets[0]['kind'] = 'dog';
$petowners[1]['pets'] = $pets;
$petowners[2]['name'] = 'George';
$petowners[2]['email'] = 'mad_dog@hotmail.com';
$pets = Array();
$pets[0]['name'] = 'Fido';
$pets[0]['kind'] = 'dog';
$pets[1]['name'] = 'Toby';
$pets[1]['kind'] = 'dog';
$petowners[2]['pets'] = $pets;

// Parsing the template
$page->Parse('tutorial_4.tpl');

// Flushing the buffer and ending the buffering
$page->End();
?>