<?php
// define whether we use GZIP compression
define('XTPL_GZIP', true);

// including XTPL
include_once('lib/xtpl.php');

// constucting template object
$page = new XTPL();
// start output buffering
$page->Start();

$tut_no = 6; // Tutorial number :)

// There are 3 sequences left. I'll tell about them here but there is no example.
// Try to use them here yourself if you want to see how they work.

// {include} sequence includes another template. The result is just the same as
// by calling XTPL::Parse() method, but it is used inside the template:
// {include some_file.tpl} or like this {include "tpl/some_file.tpl"}

// {while}{/while} sequence is similar with {for}{/for} but as you could suppose it
// implements while cycle. So, it loops while the expression iside of {while} is true.
// {while $arr = mysql_fetch_row($result)} {$arr[0]} {/while}

// {php}{/php} sequence executes php code inside of it. It is NOT recommended but it is
// supported for those cases when it is impossible to avoid calling PHP code directly.
// Notice that all the variables inside of this sequence will be taken from private
// XTPL storage or the global scope (or declared there if not declared already).


// Flushing the buffer and ending the buffering
$page->End();
?>